package de.hft.stuttgart.citydoctor2.gui.table;

import de.hft.stuttgart.citydoctor2.check.ErrorId;
import javafx.beans.property.IntegerProperty;
import javafx.beans.property.ObjectProperty;
import javafx.beans.property.SimpleIntegerProperty;
import javafx.beans.property.SimpleObjectProperty;

public class ErrorStat {
	
	private final SimpleObjectProperty<ErrorId> errorId = new SimpleObjectProperty<>();
	private final SimpleIntegerProperty count = new SimpleIntegerProperty();
	
	public ErrorStat(ErrorId errorId) {
		this(errorId, 0);
	}
	
	public ErrorStat(ErrorId errorId, int count) {
		this.errorId.set(errorId);
		this.count.set(count);
	}
	
	public int getCount() {
		return count.get();
	}
	
	public IntegerProperty getCountProperty() {
		return count;
	}
	
	public ObjectProperty<ErrorId> getErrorIdProperty() {
		return errorId;
	}
	
	public void setCount(int count) {
		this.count.set(count);
	}
	
	public void incrementCount() {
		count.set(count.get() + 1);
	}
	
	public ErrorId getErrorId() {
		return errorId.get();
	}
	
	public void setErrorId(ErrorId errorId) {
		this.errorId.set(errorId);
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("ErrorStat [errorId=");
		builder.append(errorId);
		builder.append(", count=");
		builder.append(count);
		builder.append("]");
		return builder.toString();
	}

}
